function plotdata(db_tot,stat,grunndata,statplot,armering,minimum)
SD = 'SizeData';
sd = 35;            %Punktstrrelse 35
typefarge = 'k.';   %Punktfarge og -type
% nbins = 6;          %Antall histogramgrupper
% d_bins = [250 350 800];
% fck_bins = [30 50 70];
% rhol_bins = [1 2.5 4];
% ad_bins = [3 4.5];
% rhovfy_bins = [0.375 0.875 3];
% dg_bins = [7.5 20 32.5];
if armering == 0 && minimum == 0;
    %Grunndata
    if grunndata==1
    figure(1)
    subplot(3,2,1)
    scatter(db_tot(:,2),db_tot(:,8),typefarge,SD,sd)
    grid on
    xlabel('d [mm]')
    ylabel('\tau_u')

    subplot(3,2,2)
    scatter(db_tot(:,9),db_tot(:,8),typefarge,SD,sd)
    grid on
    xlabel('f_c_k [MPa]')
    ylabel('\tau_u')

    subplot(3,2,3)
    scatter(db_tot(:,4),db_tot(:,8),typefarge,SD,sd)
    grid on
    xlabel('\rho_l [%]')
    ylabel('\tau_u')

    subplot(3,2,4)
    scatter(db_tot(:,5),db_tot(:,8),typefarge,SD,sd)
    grid on
    xlabel('a/d')
    ylabel('\tau_u')

    subplot(3,2,5)
    scatter(db_tot(:,7),db_tot(:,8),typefarge,SD,sd)
    grid on
    xlabel('d_g')
    ylabel('\tau_u')
    end
    if statplot==1
        if stat == 0
            return
        end
    figure(2)
    subplot(3,2,1)
    scatter(db_tot(:,2),db_tot(:,11),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('d [mm]')
    ylabel('\gamma_m_o_d')
    axis([0 2000 0 4])
    
    subplot(3,2,2)
    scatter(db_tot(:,9),db_tot(:,11),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('f_c_k [MPa]')
    ylabel('\gamma_m_o_d')
    axis([20 80 0 4])
    
    subplot(3,2,3)
    scatter(db_tot(:,4),db_tot(:,11),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('\rho_l [%]')
    ylabel('\gamma_m_o_d')
    axis([0 8 0 4])
    
    subplot(3,2,4)
    scatter(db_tot(:,5),db_tot(:,11),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('a/d [-]')
    ylabel('\gamma_m_o_d')
    axis([2 10 0 4])
    
    subplot(3,2,5)
    scatter(db_tot(:,7),db_tot(:,11),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('d_g [mm]')
    ylabel('\gamma_m_o_d')
    axis([0 40 0 4])
    
%     subplot(3,2,5)
%     scatter(db_tot(:,7),db_tot(:,12),typefarge,SD,sd)
%     grid on
%     xlabel('a_g')
%     ylabel('\gamma_m_o_d')
    end
%     if fordeling == 1
%     figure(3)
%     subplot(3,2,1)
%     [n xout] = hist(db_tot(:,2),d_bins);
%     bar(xout,n);
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('d [mm]')
%     ylabel('n')
%     
%     subplot(3,2,2)
%     [n xout] = hist(db_tot(:,9),fck_bins);
%     bar(xout,n);    
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('f_c_k [MPa]')
%     ylabel('n')
%     
%     subplot(3,2,3)
%     [n xout] = hist(db_tot(:,4),rhol_bins);
%     bar(xout,n);
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('\rho_l [%]')
%     ylabel('n')
%     
%     subplot(3,2,4)
%     [n xout] = hist(db_tot(:,5),ad_bins);
%     bar(xout,n);
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('a/d [-]')
%     ylabel('n')
%     
%     subplot(3,2,5)
%     [n xout] = hist(db_tot(:,7),dg_bins);
%     bar(xout,n);
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('d_g [mm]')
%     ylabel('n')
%     end        
elseif armering==1 && minimum == 0;
    if grunndata==1
    figure(1)
    subplot(3,2,1)
    scatter(db_tot(:,2),db_tot(:,9),typefarge,SD,sd)
    grid on
    xlabel('d [mm]')
    ylabel('\tau_u')
    
    subplot(3,2,2)
    scatter(db_tot(:,10),db_tot(:,9),typefarge,SD,sd)
    grid on
    xlabel('f_c_k [MPa]')
    ylabel('\tau_u')
    
    subplot(3,2,3)
    scatter(db_tot(:,4),db_tot(:,9),typefarge,SD,sd)
    grid on
    xlabel('\rho_l [%]')
    ylabel('\tau_u')
    
    subplot(3,2,4)
    scatter(db_tot(:,5),db_tot(:,9),typefarge,SD,sd)
    grid on
    xlabel('a/d [-]')
    ylabel('\tau_u')
    
    subplot(3,2,5)
    scatter(db_tot(:,11),db_tot(:,9),typefarge,SD,sd)
    grid on
    xlabel('\rho_w f_y_k [MPa]')
    ylabel('\tau_u')
    end
    if statplot==1
        if stat == 0
            return
        end
    figure(2)
    subplot(3,2,1)
    scatter(db_tot(:,2),db_tot(:,13),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('d [mm]')
    ylabel('\gamma_m_o_d')
    axis([0 1200 0 6])
    
    subplot(3,2,2)
    scatter(db_tot(:,10),db_tot(:,13),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('f_c_k [MPa]')
    ylabel('\gamma_m_o_d')
    axis([20 80 0 6])

    subplot(3,2,3)
    scatter(db_tot(:,4),db_tot(:,13),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('\rho_l [%]')
    ylabel('\gamma_m_o_d')
    axis([0 6 0 6])
    
    subplot(3,2,4)
    scatter(db_tot(:,5),db_tot(:,13),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('a/d [-]')
    ylabel('\gamma_m_o_d')
    axis([2 6 0 6])
    
    subplot(3,2,5)
    scatter(db_tot(:,11),db_tot(:,13),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('\rho_w f_y_k [MPa]')
    ylabel('\gamma_m_o_d')
    axis([0 3 0 6])
    end
%     if fordeling == 1
%     figure(3)
%     subplot(3,2,1)
%     [n xout] = hist(db_tot(:,2),d_bins);
%     bar(xout,n);
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('d [mm]')
%     ylabel('n')
%     
%     subplot(3,2,2)
%     [n xout] = hist(db_tot(:,10),fck_bins);
%     bar(xout,n);    
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('f_c_k [MPa]')
%     ylabel('n')
%     
%     subplot(3,2,3)
%     [n xout] = hist(db_tot(:,4),rhol_bins);
%     bar(xout,n);
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('\rho_l [%]')
%     ylabel('n')
%     
%     subplot(3,2,4)
%     [n xout] = hist(db_tot(:,5),ad_bins);
%     bar(xout,n);
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('a/d [-]')
%     ylabel('n')
%     
%     subplot(3,2,5)
%     [n xout] = hist(db_tot(:,11),rhovfy_bins);
%     bar(xout,n);
%     soylefarge = findobj(gca,'Type','patch');
%     set(soylefarge,'FaceColor','k','EdgeColor','w');
%     grid on
%     xlabel('\rho_w f_y [MPa]')
%     ylabel('n')
%     end        
end
if minimum == 1
    figure(1)
    subplot(2,2,1)
    scatter(db_tot(:,2),db_tot(:,10),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('d [mm]')
    ylabel('V_1/V_0 [-]')
    axis([0 2000 0 5])
    
    subplot(2,2,2)
    scatter(db_tot(:,3),db_tot(:,10),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('f_c_k [MPa]')
    ylabel('V_1/V_0 [-]')
    axis([20 80 0 5])
    
    subplot(2,2,3)
    scatter(db_tot(:,4),db_tot(:,10),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('\rho_l [%]')
    ylabel('V_1/V_0 [-]')
    axis([0 8 0 5])
    
    subplot(2,2,4)
    scatter(db_tot(:,5),db_tot(:,10),typefarge,SD,sd)
    line([0 2000],[1 1],'Linestyle','-.','Color','k','LineWidth',0.5)
    grid on
    xlabel('a/d [-]')
    ylabel('V_1/V_0 [-]')
    axis([2 10 0 5])
    
end
    