function db_tot = v_csa(db_tot,m_tot,n_tot,armering)
%uarm% b d f1c rho_l a/d V_test _agg tau_u f_ck V_standard gamma_mod
%marm% b d f1c rho_l a/d V_test rhov fy tau_u f_ck rhov_fy V_standard gamma_mod
a = zeros(m_tot,2);
phi_c = 1;%0.65;
phi_s = 1;%0.85;
Es = 200000;
if armering==0
    for j=1:1:m_tot
        b = db_tot(j,1);
        d = db_tot(j,2);
        fcmerk = db_tot(j,9);
        ag = db_tot(j,7);
        if fcmerk > 70
            ag = 0;
        elseif fcmerk > 60 && fcmerk <= 70
            ag = (70 - fcmerk)/10*ag;
        end
        if fcmerk > 64
            fcmerk2 = 64;
        else
            fcmerk2 = fcmerk;
        end
        rhol = db_tot(j,4)/100;
        As = rhol*b*d;
        z = 0.9*d;
        sz = z;
        lambda = 1.0;
        sze = max(0.85*z,35*sz/(15 + ag));
        V = db_tot(j,6);
        Mmin = V*z;
        M = max(Mmin,V*(d*db_tot(j,5) - z));
        eps = min(0.003,(M/z + V)/(2*Es*As));
        beta = (0.4/(1+1500*eps))*(1300/(1000+sze));
        v = phi_c*beta*lambda*sqrt(fcmerk2)*b*z;
        vmax = 0.25*phi_c*fcmerk*b*z;
        v = min(v,vmax);
        a(j,1) = v;
        a(j,2) = db_tot(j,6)/a(j,1);
    end
elseif armering==1
    for j=1:1:m_tot
        b = db_tot(j,1);
        d = db_tot(j,2);
        fcmerk = db_tot(j,10);
        if fcmerk > 64
            fcmerk2 = 64;
        else
            fcmerk2 = fcmerk;
        end
        rhol = db_tot(j,4)/100;
        rhov = db_tot(j,7)/100;
        fy = db_tot(j,8);
        if fy > 500
            fy = 500;
        end
        As = rhol*b*d;
        z = 0.9*d;
        sz = z;
        lambda = 1.0;
        sze = 0.85*z;%300;
        V = db_tot(j,6);
        Mmin = V*z;
        M = max(Mmin,V*(d*db_tot(j,5) - z));
        eps = min(0.003,(M/z + V)/(2*Es*As));
        beta = (0.4/(1+1500*eps));%*(1300/(1000+sze));  %Innfrer skalaeffekten
        theta = (29 + 7000*eps);%*(0.88 + sze/2500);    %Korrigerer vinkelen
        vc = phi_c*beta*lambda*sqrt(fcmerk2)*b*z;
        vs = phi_s*rhov*fy*b*z*cotd(theta);
        v = vc + vs;
        vmax = 0.25*phi_c*fcmerk*b*z;
        v = min(v,vmax);
        a(j,1) = v;
        a(j,2) = db_tot(j,6)/a(j,1);
    end
end
db_tot = [db_tot a];