function[db_tot] = v_ek2(db_tot,m_tot,n_tot,armering)
%uarm% b d f1c rho_l a/d V_test _agg tau_u f_ck V_standard gamma_mod
%marm% b d f1c rho_l a/d V_test rhov fy tau_u f_ck rhov_fy V_standard gamma_mod
a = zeros(m_tot,2);
gamma_c = 1;%1.5;
alpha_cc = 1;%0.85;
gamma_s = 1;%1.15;
Es = 200000;
if armering==0
    for j=1:1:m_tot
        b = db_tot(j,1);
        d = db_tot(j,2);
        fck = db_tot(j,9);
        if fck > 65
            fck2 = 65;
        else
            fck2 = fck;
        end
        rhol = min(0.02,db_tot(j,4)/100);
        k = min(2,1 + (200/d)^(1/2));
        d_g = db_tot(j,7);
        if d_g < 16
            C = 0.15/gamma_c;
        else
            C = 0.18/gamma_c;
        end
        
        v_c = C*k*(100*rhol*fck2)^(1/3)*b*d;
        v_min = 0.035*k^(3/2)*fck2^(1/2);
        v = max(v_c,v_min);
        nu = 0.6*(1-fck/250);
        v_max = 0.5*b*d*nu*fck/gamma_c*alpha_cc;
        v = min(v,v_max);
        a(j,1) = v;
        a(j,2) = db_tot(j,6)/a(j,1);
    end
elseif armering==1
    for j=1:1:m_tot
        b = db_tot(j,1);
        d = db_tot(j,2);
        z = 0.9*d;
        fck = db_tot(j,10);
        fcd = alpha_cc/gamma_c*fck;
        fyk = db_tot(j,8);
        rhov = db_tot(j,7)/100;
        rhov_fyd = fyk*rhov/gamma_s;
%         if fck > 60                   %Hvis dimensjonerende spenning i armeringen er lavere enn 80% av karakteristisk flytespenning
%             nu = 0.9 - fck/250;
%             nu = max(0.5, nu);
%         else
%             nu = 0.6;
%         end
        nu = 0.6*(1-fck/250);           %Ellers
        cottheta = sqrt(nu*fcd/rhov_fyd - 1);   %Theta beregnes fra bde strekk- og trykkapasiteten
        %cottan = b*z*nu*fcd/db_tot(j,6);       %Theta beregnes fra trykkapasiteten
        %cottheta = funcottan(cottan);
        %cottheta = db_tot(j,6)/(b*z*rhov_fyd); %Theta beregnes fra strekkakasiteten
        if cottheta > 2.5
            cottheta = 2.5;
        elseif cottheta < 1
            cottheta = 1;
        end
        cottheta;
        Vrds = rhov_fyd*b*z*cottheta;
        Vrdmax = b*z*nu*fcd*1/(cottheta+1/cottheta);
        a(j,1) = min(Vrds,Vrdmax);
        a(j,2) = db_tot(j,6)/a(j,1);
    end
end
db_tot = [db_tot a];