function db_tot = v_mc2010(db_tot,m_tot,n_tot,armering)
%uarm% b d f1c rho_l a/d V_test _agg tau_u f_ck V_standard gamma_mod
%marm% b d f1c rho_l a/d V_test rhov fy tau_u f_ck rhov_fy V_standard gamma_mod
%Velg metode 1, 2 eller 3
metode = 3;
a = zeros(m_tot,2);
gamma_c = 1;%1.5;
gamma_s = 1;%1.15;
Es = 200000;
if armering == 0 && metode ==2
    return
end
if armering==0
    for j=1:1:m_tot
        b = db_tot(j,1);
        d = db_tot(j,2);
        z = 0.9*d;
        fck = db_tot(j,9);
        if fck > 64
            fck2 = 64;
        else
            fck2 = fck;
        end
        rhol = db_tot(j,4)/100;
        As = rhol*b*d;
        V = db_tot(j,6);
        ad = db_tot(j,5);
        M = max(V*z,V*(ad*d - z));
        eps = min(0.003,0.5*(M/z + V)/(As*Es));
        dg = db_tot(j,7);
        if fck > 70
            dg = 0;
        elseif fck > 64 && fck <= 70
            dg = dg*(70 - fck)/16;
        end
        if metode == 1
            theta = 36;
            kc = min(0.5*(30/fck)^(1/3),0.5);
            kv = min(200/(1000 + 1.3*z),0.15);
        elseif metode == 2
            theta = min(45,20 + 10000*eps);
            kc = min(0.55,0.55*(30/fck)^(1/3));
            kv = 0;
        elseif metode == 3;
            kdg = max(1.15, 48/(16 + dg));
            theta = 29 + 7000*eps;
            kc = min(0.55,0.55*(30/fck)^(1/3));
            kv = (0.4/(1+1500*eps))*(1300/(1000 + 0.7*kdg*z));
        end
        vc = kv*sqrt(fck2)/gamma_c*b*z;
        if metode == 2
            vmax = kc*fck/gamma_c*b*z/(cotd(theta) + tand(theta));
        else
            vmax = 0.5*kc*fck/gamma_c*b*z;
        end
        v = min(vc,vmax);        
        a(j,1) = v;
        a(j,2) = db_tot(j,6)/a(j,1);
    end
elseif armering==1
    for j=1:1:m_tot
        b = db_tot(j,1);
        d = db_tot(j,2);
        z = 0.9*d;
        fck = db_tot(j,10);
        if fck > 64
            fck2 = 64;
        else
            fck2 = fck;
        end
        rhol = db_tot(j,4)/100;
        As = rhol*b*d;
        V = db_tot(j,6);
        ad = db_tot(j,5);
        M = max(V*z,V*(ad*d - z));
        eps = min(0.003,0.5*(M/z + V)/(As*Es));
        fyk = db_tot(j,8);
        rhov = db_tot(j,7)/100;
        if metode == 1
            theta = 36;
            kc = min(0.5*(30/fck)^(1/3),0.5);
            kv = 0.15;
        elseif metode == 2
            theta = min(45,20 + 10000*eps);
            kc = min(0.55,0.55*(30/fck)^(1/3));
            kv = 0;
        elseif metode == 3;
            theta = 29 + 7000*eps;
            kc = min(0.55,0.55*(30/fck)^(1/3));
            kv = 0.4/(1 + 1500*eps);
        end
        vc = kv*sqrt(fck2)/gamma_c*b*z;
        vs = rhov*fyk/gamma_s*b*z*cotd(theta);
        if metode == 2
            vmax = kc*fck/gamma_c*b*z/(cotd(theta) + tand(theta));
        else
            vmax = 0.5*kc*fck/gamma_c*b*z;
        end
        v = vc + vs;
        v = min(v,vmax);        
        a(j,1) = v;
        a(j,2) = db_tot(j,6)/a(j,1);
    end
end
db_tot = [db_tot a];