function [gamma_modm,gamma_mod5,gamma_mod95,gamma_modmin,gamma_modmax,s,cv,E_tau,s_tau,cv_tau] = statistikk(db_tot,m_tot,n_tot,armering)
a = zeros(m_tot,1);
gamma_modm = sum(db_tot(:,n_tot))/m_tot;

s = 0;
for j = 1:1:m_tot
    gamma_mod = db_tot(j,n_tot);
    s = s + (gamma_mod - gamma_modm)^2;
end
s = s/(m_tot-1);
s = sqrt(s);
cv = s/gamma_modm;
gamma_mod5 = gamma_modm - 1.645*s;
gamma_mod95 = gamma_modm + 1.645*s;
gamma_modmin = min(db_tot(:,n_tot));
gamma_modmax = max(db_tot(:,n_tot));

s_tau = 0;
if armering == 0
    E_tau = sum(db_tot(:,8)/m_tot);
    for j = 1:1:m_tot
        s_tau = s_tau + (db_tot(j,8) - E_tau)^2;
    end
    s_tau = s_tau/(m_tot - 1);
    s_tau = sqrt(s_tau);
elseif armering == 1
    E_tau = sum(db_tot(:,9)/m_tot);
    for j = 1:1:m_tot
        s_tau = s_tau + (db_tot(j,9) - E_tau)^2;
    end
    s_tau = s_tau/(m_tot - 1);
    s_tau = sqrt(s_tau);
end
cv_tau = s_tau/E_tau;
    
        