function db_tot = v_ns(db_tot,m_tot,n_tot,armering)
%uarm% b d f1c rho_l a/d V_test _agg tau_u f_ck V_standard gamma_mod
%marm% b d f1c rho_l a/d V_test rhov fy tau_u f_ck rhov_fy V_standard gamma_mod
% Velg metode: forenklet=1, variabel=2
metode = 1;
a = zeros(m_tot,2);
gamma_c = 1;%1.4;
gamma_s = 1;%1.25;
if armering==0
    for j=1:1:m_tot
        b = db_tot(j,1);
        d = db_tot(j,2);
        z = 0.9*d;
        fck = db_tot(j,9);
        if fck < 50
            fctm = 0.302*fck^(2/3);
        else
            fctm = 1.115*fck^(1/3);
        end
        fct = 0.7*fctm;
        rhol = db_tot(j,4)/100;
        As = rhol*b*d;
        kv = max(1,min(1.5 - d/1000, 1.4));
        v1 = 0.3*fct/gamma_c*(b*d + 100*As/fct)*kv;
        v2 = 0.6*fct/gamma_c*kv*b*d;
        v = min(v1,v2);
        v_max = 0.3*fck/gamma_c*b*z;
        v = min(v,v_max);
        a(j,1) = v;
        a(j,2) = db_tot(j,6)/a(j,1);
    end
elseif armering==1
    for j=1:1:m_tot
        b = db_tot(j,1);
        d = db_tot(j,2);
        kv = max(1,min(1.5 - d/1000, 1.4));
        z = 0.9*d;
        fck = db_tot(j,10);
        if fck < 50
            fctm = 0.302*fck^(2/3);
        else
            fctm = 1.115*fck^(1/3);
        end
        fct = 0.7*fctm;
        rhol = db_tot(j,4)/100;
        As = rhol*b*d;
        v1 = 0.3*fct/gamma_c*(b*d + 100*As/fct);%*kv;
        v2 = 0.6*fct/gamma_c*b*d;%*kv;
        vc = min(v1,v2);
        fcd = fck/gamma_c;
        fc2d = 0.6*fcd;
        fyd = db_tot(j,8)/gamma_s;
        rhov = db_tot(j,7)/100;
        if metode==1
            vrds = rhov*fyd*b*z;
            vrds = vrds + vc;
            vrdmax = 0.3*b*z*fcd;
            v = min(vrds,vrdmax);
        elseif metode==2
            cottheta = sqrt(fc2d/(rhov*fyd) - 1);
            theta = acotd(cottheta);
            if theta > 60
                theta = 60;
            elseif theta < 30
                theta = 30;
            end
            theta;
            vrds = rhov*fyd*b*z*cotd(theta);
            vrdmax = fc2d*b*z/(cotd(theta) + 1/cotd(theta));
            v=min(vrds,vrdmax);
        end
        a(j,1) = v;
        a(j,2) = db_tot(j,6)/v;
    end
end
db_tot = [db_tot a];